package request

import (
	"topsdk/ability571/domain"
	"topsdk/util"
)

type AlibabaWdkMarketingFullrangeCreateactivityRequest struct {
	/*
	   创建活动请求入参     */
	Param *domain.AlibabaWdkMarketingFullrangeCreateactivityFullRangeActivity `json:"param" required:"true" `
}

func (s *AlibabaWdkMarketingFullrangeCreateactivityRequest) SetParam(v domain.AlibabaWdkMarketingFullrangeCreateactivityFullRangeActivity) *AlibabaWdkMarketingFullrangeCreateactivityRequest {
	s.Param = &v
	return s
}

func (req *AlibabaWdkMarketingFullrangeCreateactivityRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.Param != nil {
		paramMap["param"] = util.ConvertStruct(*req.Param)
	}
	return paramMap
}

func (req *AlibabaWdkMarketingFullrangeCreateactivityRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
